#!/bin/bash
set -e
cd ..

# Download producer plug-in source and compile it
[ -d producer ] || git clone git@git.tecgraf.puc-rio.br:soma/soma-job-history-producer.git producer
cd producer && git pull
PRODUCER_VERSION=$(mvn org.apache.maven.plugins:maven-help-plugin:3.1.1:evaluate -Dexpression='project.version' -q -DforceStdout)
mvn clean package -DskipTests
cp target/soma-job-history-producer-$PRODUCER_VERSION-jpf.zip ../Docker

# Build Docker image
cd ..
mvn clean package -DskipTests

POM_VERSION=$(mvn org.apache.maven.plugins:maven-help-plugin:3.1.1:evaluate -Dexpression='project.version' -q -DforceStdout)
docker build . -f Docker/Dockerfile -t csbase/csgrid:$POM_VERSION --build-arg CSGRID_VERSION=$POM_VERSION --network=host

